<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<html>
<head>
    <title>模型管理</title>
    <meta name="decorator" content="default"/>
    <%@ include file="/WEB-INF/views/include/headMeta.jsp" %>
    <%@ include file="/WEB-INF/views/include/headCss.jsp" %>
    <%@ include file="/WEB-INF/views/include/headJs.jsp" %>

    <script type="text/javascript">
        $(document).ready(function () {
            top.$.jBox.tip.mess = null;
        });

        function page(n, s) {
            location = '${ctx}/act/model/?pageNo=' + n + '&pageSize=' + s;
        }

        function updateCategory(id, category) {
            $.jBox($("#categoryBox").html(), {
                title: "设置分类", buttons: {"关闭": true}, submit: function () {
                }
            });
            $("#categoryBoxId").val(id);
            $("#categoryBoxCategory").val(category);
        }
    </script>
    <script type="text/template" id="categoryBox">
        <form id="categoryForm" action="${ctx}/act/model/updateCategory" method="post" enctype="multipart/form-data"
              style="text-align:center;" class="form-search" onsubmit="loading('正在分类，请稍等...');"><br/>
            <input id="categoryBoxId" type="hidden" name="id" value=""/>
            <select id="categoryBoxCategory" name="category">
                <option value="">无分类</option>
                <c:forEach items="${fns:getDictList('act_category')}" var="dict">
                    <option value="${dict.value}">${dict.label}</option>
                </c:forEach>
            </select>
            <br/><br/>　　
            <input id="categorySubmit" class="btn btn-primary" type="submit" value="   保    存   "/>　　
        </form>
    </script>
</head>
<body>
<!-- 内容-->
<div class="wrapper">
    <!-- 内容盒子-->
    <div class="box box-main">
        <!-- 内容盒子头部 -->
        <div class="box-header">
            <div class="box-title"><i class="fa fa-edit"></i>模型管理</div>
            <div class="box-tools pull-right">
                <a id="btnSearchView" href="#" class="btn btn-sm btn-default" title="查询"><i class="fa fa-filter"></i>查询</a>
                <button id="btnRefresh" class="btn btn-default btn-sm" title="刷新"><i
                        class="glyphicon glyphicon-repeat"></i> 刷新
                </button>
            </div>
        </div>
        <!-- 内容盒子身体 -->
        <div class="box-body">
            <!-- 查询条件 -->
            <ul class="nav nav-tabs">
                <li class="active"><a href="${ctx}/act/model/">模型管理</a></li>
                <li><a href="${ctx}/act/model/create">新建模型</a></li>
            </ul>
            <br>
            <form id="searchForm" action="${ctx}/act/model/" method="post" class="form-inline">
                <div class="form-group">
                    <label class="control-label">流程分类</label>
                    <div class="control-inline">
                        <select id="category" name="category" class="form-control m-b">
                            <option value="">全部分类</option>
                            <c:forEach items="${fns:getDictList('act_category')}" var="dict">
                                <option value="${dict.value}" ${dict.value==category?'selected':''}>${dict.label}</option>
                            </c:forEach>
                        </select>
                    </div>
                    <div class="control-inline">
                        <input id="btnSubmit" class="btn btn-primary" type="submit" value="查询"/>
                    </div>
                </div>
            </form>
            <table class="table table-striped table-bordered table-condensed table-nowrap">
                <thead>
                <tr>
                    <th>流程分类</th>
                    <th>模型ID</th>
                    <th>模型标识</th>
                    <th>模型名称</th>
                    <th>版本号</th>
                    <th>创建时间</th>
                    <th>最后更新时间</th>
                    <th>操作</th>
                </tr>
                </thead>
                <tbody>
                <c:forEach items="${page.list}" var="model">
                    <tr>
                        <td><a href="javascript:updateCategory('${model.id}', '${model.category}')"
                               title="设置分类">${fns:getDictLabel(model.category,'act_category','无分类')}</a></td>
                        <td>${model.id}</td>
                        <td>${model.key}</td>
                        <td>${model.name}</td>
                        <td><b title='流程版本号'>V: ${model.version}</b></td>
                        <td><fmt:formatDate value="${model.createTime}" pattern="yyyy-MM-dd HH:mm:ss"/></td>
                        <td><fmt:formatDate value="${model.lastUpdateTime}" pattern="yyyy-MM-dd HH:mm:ss"/></td>
                        <td>
                            <a href="${pageContext.request.contextPath}/act/process-editor/modeler.jsp?modelId=${model.id}"
                               target="_blank">编辑</a>
                            <a href="${ctx}/act/model/deploy?id=${model.id}"
                               onclick="return confirmx('确认要部署该模型吗？', this.href)">部署</a>
                            <a href="${ctx}/act/model/export?id=${model.id}" target="_blank">导出</a>
                            <a href="${ctx}/act/model/delete?id=${model.id}"
                               onclick="return confirmx('确认要删除该模型吗？', this.href)">删除</a>
                        </td>
                    </tr>
                </c:forEach>
                </tbody>
            </table>
            ${page.toStringPage()}
        </div>
    </div>
</div>
<!-- 信息-->
<div id="messageBox">${message}</div>
<%@ include file="/WEB-INF/views/include/footJs.jsp" %>
<script src="/staticViews/viewBase.js"></script></body>
</html>
